Delete Attachment Envelope
const url = 'https://enclave.subnoto.com/public/envelope/delete-attachment';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"workspaceUuid":"example","envelopeUuid":"example","documentUuid":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://enclave.subnoto.com/public/envelope/delete-attachment \ --header 'Content-Type: application/json' \ --data '{ "workspaceUuid": "example", "envelopeUuid": "example", "documentUuid": "example" }'Delete an attachment document and its revisions
Request Body required
Section titled “Request Body required ”object
Example generated
{ "workspaceUuid": "example", "envelopeUuid": "example", "documentUuid": "example"}Responses
Section titled “ Responses ”Default Response
object
Example generated
{}Default Response
object
HTTP status code
object
The error code
The error message
A suggestion to resolve the error
A URL to the documentation
Optional validation details (e.g. for INVALID_REQUEST_FORMAT)
Single validation issue (e.g. from request body schema)
object
JSON path to the invalid field
Validation error message for this field
The unique identifier of the request
The timestamp of the response
The path of the request
Example
{ "error": { "code": "WORKSPACE_NOT_FOUND" }}Default Response
object
HTTP status code
object
The error code
The error message
A suggestion to resolve the error
A URL to the documentation
Optional validation details (e.g. for INVALID_REQUEST_FORMAT)
Single validation issue (e.g. from request body schema)
object
JSON path to the invalid field
Validation error message for this field
The unique identifier of the request
The timestamp of the response
The path of the request
Example
{ "error": { "code": "AUTHENTICATION_ERROR" }}Default Response
object
HTTP status code
object
The error code
The error message
A suggestion to resolve the error
A URL to the documentation
Optional validation details (e.g. for INVALID_REQUEST_FORMAT)
Single validation issue (e.g. from request body schema)
object
JSON path to the invalid field
Validation error message for this field
The unique identifier of the request
The timestamp of the response
The path of the request
Example
{ "error": { "code": "AUTHORIZATION_ERROR" }}Default Response
object
HTTP status code
object
The error code
The error message
A suggestion to resolve the error
A URL to the documentation
Optional validation details (e.g. for INVALID_REQUEST_FORMAT)
Single validation issue (e.g. from request body schema)
object
JSON path to the invalid field
Validation error message for this field
The unique identifier of the request
The timestamp of the response
The path of the request
Example
{ "error": { "code": "INTERNAL_SERVER_ERROR" }}